# Interface IObjectContributor

All Known Subinterfaces:
  `IObjectActionContributor`

All Known Implementing Classes:
  `ObjectActionContributor`

public interface IObjectContributor
Objects of classes that implement this interface can be registered for certain object type in the IObjectContributorManager. Unlike with extenders, all the matching contributors will be processed in a sequence.

By implementing 'isApplicableTo' method, a contributor can tell the manager to skip it if the object is of the desired type, but its other properties do not match additional requirements imposed by the contributor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canAdapt()`
Return whether or not the receiver can adapt to IResource.
`boolean`
`isApplicableTo(Object object)`
Returns true if this contributor should be considered for the given object.

## Method Details

### isApplicableTo

boolean isApplicableTo(Object object)
Returns true if this contributor should be considered for the given object.

Parameters:
  `object` - the object to text
Returns:
  boolean

### canAdapt

boolean canAdapt()
Return whether or not the receiver can adapt to IResource.

Returns:
  boolean